'use strict';

const knexfile = require('../../knexfile');
const knexConfig = knexfile[process.env.NODE_ENV];
const knexConn = knexConfig.connection;

const params = {
	driver: knexConfig.client,
	connection: (knexConfig.client == "sqlite3") ? knexConn.filename : knexConn,
};

const nodeQuery = require('ci-node-query')(params);

module.exports = nodeQuery.getQuery();